PLplot: plstripc.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Functions | Variables
plstripc.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Classes
struct | PLStrip

## Macros
#define | PEN 4
#define | MAX_STRIPC 1000

## Functions
static void | plstrip_gen (PLStrip *strip)
static void | plstrip_legend (PLStrip *strip, int flag)
void | c_plstripc (PLINT *id, const char *xspec, const char *yspec, PLFLT xmin, PLFLT xmax, PLFLT xjump, PLFLT ymin, PLFLT ymax, PLFLT xlpos, PLFLT ylpos, PLINT y_ascl, PLINT acc, PLINT colbox, PLINT collab, const PLINT *colline, const PLINT *styline, const char *legline[], const char *labx, const char *laby, const char *labtop)
void | c_plstripa (PLINT id, PLINT p, PLFLT x, PLFLT y)
void | c_plstripd (PLINT id)

## Variables
static int | sid
static PLStrip * | strip [MAX_STRIPC]
static PLStrip * | stripc

## Macro Definition Documentation

#define MAX_STRIPC 1000

Definition at line 47 of file plstripc.c.

#define PEN 4

Definition at line 31 of file plstripc.c.

## Function Documentation

void c_plstripa | ( | PLINT | id,
|  | PLINT | p,
|  | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 223 of file plstripc.c.

void c_plstripc | ( | PLINT * | id,
|  | const char * | xspec,
|  | const char * | yspec,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | xjump,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | xlpos,
|  | PLFLT | ylpos,
|  | PLINT | y_ascl,
|  | PLINT | acc,
|  | PLINT | colbox,
|  | PLINT | collab,
|  | const PLINT * | colline,
|  | const PLINT * | styline,
|  | const char * | legline[],
|  | const char * | labx,
|  | const char * | laby,
|  | const char * | labtop
| ) |  |

Definition at line 68 of file plstripc.c.

void c_plstripd | ( | PLINT | id | ) |

Definition at line 329 of file plstripc.c.

static void plstrip_gen | ( | PLStrip * | strip | ) |
| static

Definition at line 179 of file plstripc.c.

static void plstrip_legend | ( | PLStrip * | strip,
|  | int | flag
| ) |  |
| static

Definition at line 148 of file plstripc.c.

## Variable Documentation

int sid
| static

Definition at line 46 of file plstripc.c.

PLStrip* strip[MAX_STRIPC]
| static

Definition at line 48 of file plstripc.c.

PLStrip* stripc
| static

Definition at line 49 of file plstripc.c.